# MIPS Processor: Unix COFF File Format

Assembler code

```
.text:00400838
.text:00400838  # =============== S U B R O U T I N E =======================================
.text:00400838
.text:00400838
.text:00400838 sub_400838:                              # CODE XREF: sub_400700+3C↑p
.text:00400838                                          # sub_400778+44↑p ...
.text:00400838
.text:00400838 var_s0          =  0
.text:00400838 var_s4          =  4
.text:00400838
.text:00400838                 addiu   $sp, -0x20
.text:0040083C                 sw      $s0, 0x18+var_s0($sp)
.text:00400840                 move    $s0, $a0
.text:00400844                 bnez    $s0, loc_400894
.text:00400848                 sw      $ra, 0x18+var_s4($sp)
.text:0040084C                 la      $t6, unk_10000A94
.text:00400850                 li      $t7, unk_10000455
.text:00400858                 lui     $s0, 0x1000
.text:0040085C                 sltu    $at, $t6, $t7
.text:00400860                 bnez    $at, loc_40088C
.text:00400864                 li      $s0, unk_10000454
.text:00400868
.text:00400868 loc_400868:                              # CODE XREF: sub_400838+4C↓j
.text:00400868                 beqz    $s0, loc_400878
.text:0040086C                 nop
.text:00400870                 jal     sub_400838
.text:00400874                 move    $a0, $s0
.text:00400878
.text:00400878 loc_400878:                              # CODE XREF: sub_400838:loc_400868↑j
.text:00400878                 la      $t8, unk_10000A94
.text:0040087C                 addiu   $s0, 0x10
.text:00400880                 sltu    $at, $s0, $t8
.text:00400884                 bnez    $at, loc_400868
.text:00400888                 nop
.text:0040088C
.text:0040088C loc_40088C:                              # CODE XREF: sub_400838+28↑j
.text:0040088C                 b       loc_400970
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/9.0/user-guide/disassembler/disassembly-gallery/mips-processor-unix-coff-file-format.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
